Project

General

Profile

Bug #9058

Exceptions if there are problems with connection to cloud

Added by Pavel Andrianov about 2 years ago. Updated about 2 years ago.

Status:
New
Priority:
High
Category:
Deployment
Target version:
-
Start date:
07/03/2018
Due date:
% Done:

0%

Estimated time:
Detected in build:
svn
Platform:
Published in build:

Description

During updating an instance, there are some problems with connection to cloud. The script failed with:

Traceback (most recent call last):
File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 601, in urlopen
chunked=chunked)
File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 387, in _make_request
six.raise_from(e, None)
File "<string>", line 2, in raise_from
File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 383, in _make_request
httplib_response = conn.getresponse()
File "/usr/lib/python3.5/http/client.py", line 1197, in getresponse
response.begin()
File "/usr/lib/python3.5/http/client.py", line 297, in begin
version, status, reason = self._read_status()
File "/usr/lib/python3.5/http/client.py", line 258, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "/usr/lib/python3.5/socket.py", line 575, in readinto
return self._sock.recv_into(b)
ConnectionResetError: [Errno 104] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.5/dist-packages/requests/adapters.py", line 440, in send
timeout=timeout
File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 639, in urlopen
_stacktrace=sys.exc_info()[2])
File "/usr/local/lib/python3.5/dist-packages/urllib3/util/retry.py", line 357, in increment
raise six.reraise(type(error), error, _stacktrace)
File "/usr/local/lib/python3.5/dist-packages/urllib3/packages/six.py", line 685, in reraise
raise value.with_traceback(tb)
File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 601, in urlopen
chunked=chunked)
File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 387, in _make_request
six.raise_from(e, None)
File "<string>", line 2, in raise_from
File "/usr/local/lib/python3.5/dist-packages/urllib3/connectionpool.py", line 383, in _make_request
httplib_response = conn.getresponse()
File "/usr/lib/python3.5/http/client.py", line 1197, in getresponse
response.begin()
File "/usr/lib/python3.5/http/client.py", line 297, in begin
version, status, reason = self._read_status()
File "/usr/lib/python3.5/http/client.py", line 258, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "/usr/lib/python3.5/socket.py", line 575, in readinto
return self._sock.recv_into(b)
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.5/dist-packages/keystoneauth1/session.py", line 889, in _send_request
resp = self.session.request(method, url, **kwargs)
File "/usr/local/lib/python3.5/dist-packages/requests/sessions.py", line 508, in request
resp = self.send(prep, **send_kwargs)
File "/usr/local/lib/python3.5/dist-packages/requests/sessions.py", line 618, in send
r = adapter.send(request, **kwargs)
File "/usr/local/lib/python3.5/dist-packages/requests/adapters.py", line 490, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "./deploys/bin/deploy-openstack", line 27, in <module>
sys.exit(deploys.openstack.main())
File "./deploys/bin/../deploys/openstack/__init__.py", line 80, in main
getattr(OSKleverDeveloperInstance(args, logger), args.action)()
File "./deploys/bin/../deploys/openstack/openstack.py", line 393, in update
floating_ip=self._get_instance_floating_ip(self._get_instance(self.name))) as ssh:
File "./deploys/bin/../deploys/openstack/openstack.py", line 120, in _get_instance
instances = self._get_instances(instance_name)
File "./deploys/bin/../deploys/openstack/openstack.py", line 154, in _get_instances
for instance in self.clients.nova.servers.list():
File "/usr/local/lib/python3.5/dist-packages/novaclient/v2/servers.py", line 854, in list
"servers")
File "/usr/local/lib/python3.5/dist-packages/novaclient/base.py", line 257, in _list
resp, body = self.api.client.get(url)
File "/usr/local/lib/python3.5/dist-packages/keystoneauth1/adapter.py", line 304, in get
return self.request(url, 'GET', *kwargs)
File "/usr/local/lib/python3.5/dist-packages/novaclient/client.py", line 77, in request
**kwargs)
File "/usr/local/lib/python3.5/dist-packages/keystoneauth1/adapter.py", line 463, in request
resp = super(LegacyJsonAdapter, self).request(*args, **kwargs)
File "/usr/local/lib/python3.5/dist-packages/keystoneauth1/adapter.py", line 189, in request
return self.session.request(url, method, **kwargs)
File "/usr/local/lib/python3.5/dist-packages/keystoneauth1/session.py", line 802, in request
resp = send(
*kwargs)
File "/usr/local/lib/python3.5/dist-packages/keystoneauth1/session.py", line 905, in _send_request
raise exceptions.ConnectFailure(msg)
keystoneauth1.exceptions.connection.ConnectFailure: Unable to establish connection to http://cloud.ispras.ru:8774/v2/6aec0acc18aa44048f7da0a3144ef744/servers/detail: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))

History

#1

Updated by Evgeny Novikov about 2 years ago

  • Target version deleted (1.0)
  • Priority changed from Normal to High

This is a very seldom error, so, let's fix them one day later. Also, they it is not true regressions, since it exists in 0.2 as well.

Also available in: Atom PDF